Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8104 - mount 2.9u cannot be compiled without -DHAVE_NFS
Summary: mount 2.9u cannot be compiled without -DHAVE_NFS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-02 05:52 UTC by Duane Voth
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-16 16:33:08 UTC


Attachments (Terms of Use)

Description Duane Voth 2000-01-02 05:52:43 UTC
umount.c in the mount-2.9u-4.src.rpm package complains with the following
when compiled without the -DHAVE_NFS define:

gcc -c -Wall -Wstrict-prototypes -Wmissing-prototypes -I./lib   umount.c
umount.c: In function `umount_one':
umount.c:235: warning: implicit declaration of function `perror'
umount.c:238: warning: implicit declaration of function `printf'
umount.c:267: warning: implicit declaration of function `fprintf'
umount.c:267: `stderr' undeclared (first use in this function)
umount.c:267: (Each undeclared identifier is reported only once
umount.c:267: for each function it appears in.)
umount.c: In function `main':
umount.c:419: `EOF' undeclared (first use in this function)
umount.c:428: `stdout' undeclared (first use in this function)
umount.c:449: `stderr' undeclared (first use in this function)
make: *** [umount.o] Error 1

If you leave DEFINES=-DHAVE_NFS in the spec file, everything is
fine.

Comment 1 Bernhard Rosenkraenzer 2000-01-16 16:33:59 UTC
Should be fixed in 2.10d (rawhide)


Note You need to log in before you can comment on or make changes to this bug.